*,
*::after,
*::before {
  box-sizing: border-box;
}

body {
  font-family: $font;
}
.container {
  max-width: 100%;
  padding: 0 15px;
  margin: 0 auto;
  @media (min-width: $media-tablet) {
    max-width: $media-tablet;
  }
  @media (min-width: $media-desktop) {
    max-width: $media-desktop;
  }
}
/* ==========================================================================
  $Section about
========================================================================== */
.about__main--title {
  @include main-title();
  margin-top: 38px;
  margin-bottom: 23px;
  font-size: 14px;
}

.about__wrap {
  display: flex;
  flex-flow: column;
  justify-content: start;
  &--title {
    @include about-title();
    font-size: 14px;
  }
  &--subtitle {
    @include subtitle();
    font-size: 11px;
    padding-bottom: 28px;
  }
  &--text {
    display: none;
  }

  &:last-child {
    display: none;
  }
  &--img {
    margin-bottom: 11px;
  }
}

/* ==========================================================================
  $Section Journal
========================================================================== */
.journal-section {
  min-width: $media-mobile;
}

.journal__title-wrap {
  &--main-title {
    @include main-title();
    font-size: 14px;
    padding-top: 50px;
    margin-bottom: 13px;
  }
  &--right-title {
    display: none;
  }
}

.journal__img-wrap {
  padding-bottom: 42px;
}

.journal-img {
  display: none;
  &:first-child {
    display: block;
  }
}

/* ==========================================================================
  $Media Tablet (min-width 768px)
========================================================================== */
@media (min-width: $media-tablet) {
  .about__main--title {
    margin-top: 56px;
    font-size: 16px;
  }
  .about__wrap {
    flex-flow: row;
    &--title {
      @include about-title();
      font-size: 16px;
    }
    &--subtitle {
      padding-bottom: 2%;
      font-size: 12px;
    }
    &--text {
      @include about-text();
      display: block;
    }
    &--box-text {
      width: 55%;
      margin-left: 3%;
    }
    &:last-child {
      display: flex;
    }
    &--img {
      margin-bottom: 30px;
    }
  }
  .journal-section {
    background-color: #f5f5f5;
  }
  .journal__title-wrap {
    display: flex;
    justify-content: space-between;

    &--main-title {
      @include main-title();
      font-size: 16px;
      padding-top: 46px;
    }
    &--right-title {
      @include main-title();
      font-size: 13px;
      display: flex;
      padding-top: 46px;
    }
  }
  .journal__img-wrap {
    padding-bottom: 50px;
    display: flex;
    justify-content: space-between;
  }
  .journal-img:not(:last-child) {
    margin-right: 10px;
    display: flex;
    width: 33%;
    height: 75%;
  }
}

/* ==========================================================================
  $Media Desktop (min-width 1200px)
========================================================================== */
@media (min-width: $media-desktop) {
  .about__container {
    display: grid;
    grid-template-columns: repeat(2, 50%);
    margin-top: 66px;
  }
  .about__main--title {
    margin-top: 0;
    margin-top: 38px;
    margin-bottom: 0px;
  }
  .about__wrap {
    padding-right: 2%;
    &--text {
      width: 120%;
    }
  }
  .journal__img-wrap {
    padding-bottom: 50px;
    display: flex;
    justify-content: space-between;
  }
  .journal-img {
    display: flex;
    margin-right: 10px;
    width: 33%;
    height: 75%;
  }
}
